Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class DecoratedStackPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.StackPanel
                          com.google.gwt.user.client.ui.DecoratedStackPanel

All Implemented Interfaces:
  EventListener, HasWidgets, IndexedPanel, java.lang.Iterable<Widget>

    public class DecoratedStackPanel

extends StackPanel

A `StackPanel` that wraps each item in a 2x3 grid (six box), which allows users to add rounded corners.

### CSS Style Rules

- .gwt-DecoratedStackPanel { the panel itself }
- .gwt-DecoratedStackPanel .gwt-StackPanelItem { unselected items }
- .gwt-DecoratedStackPanel .gwt-StackPanelItem-selected { selected items }
- .gwt-DecoratedStackPanel .gwt-StackPanelContent { the wrapper around the contents of the item }
- .gwt-DecoratedStackPanel .stackItemTopLeft { top left corner of the item}
- .gwt-DecoratedStackPanel .stackItemTopLeftInner { the inner element of the cell}
- .gwt-DecoratedStackPanel .stackItemTopCenter { top center of the item}
- .gwt-DecoratedStackPanel .stackItemTopCenterInner { the inner element of the cell}
- .gwt-DecoratedStackPanel .stackItemTopRight { top right corner of the item}
- .gwt-DecoratedStackPanel .stackItemTopRightInner { the inner element of the cell}
- .gwt-DecoratedStackPanel .stackItemMiddleLeft { left side of the item }
- .gwt-DecoratedStackPanel .stackItemMiddleLeftInner { the inner element of the cell}
- .gwt-DecoratedStackPanel .stackItemMiddleCenter { center of the item, where the item text resides }
- .gwt-DecoratedStackPanel .stackItemMiddleCenterInner { the inner element of the cell}
- .gwt-DecoratedStackPanel .stackItemMiddleRight { right side of the item }
- .gwt-DecoratedStackPanel .stackItemMiddleRightInner { the inner element of the cell}

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary
`static java.lang.String` | `DEFAULT_STYLENAME`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DecoratedStackPanel()` Creates an empty decorated stack panel.

Method Summary

Methods inherited from class com.google.gwt.user.client.ui.StackPanel
`add, add, add, getSelectedIndex, insert, onBrowserEvent, onEnsureDebugId, remove, remove, setStackText, setStackText, showStack`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, getChildren, getWidget, getWidgetCount, getWidgetIndex, insert, insert, iterator`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, onLoad, onUnload, orphan`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onAttach, onDetach, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_STYLENAME

    public static final java.lang.String DEFAULT_STYLENAME

See Also:
  Constant Field Values

Constructor Detail

### DecoratedStackPanel

    public DecoratedStackPanel()

  Creates an empty decorated stack panel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD